Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[für mich gelöst] Kodi und PVR.
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Mon Sep 07, 2015 5:28 am    Post subject: [für mich gelöst] Kodi und PVR. Reply with quote

Als das noch XBMC war, gab es ja die entsprechenden Plugnis im Portage. Zu Kodi 14 konnte man es sich irgendwie per Hand runterladen und kompilieren. Und wenn ich dann irgend etwas, was ich für Kodi 15 finde, installieren will, bekomme ich: Abhängigkeit nicht erfüllt.

Hat da jemand eine Idee?


Last edited by Klaus Meier on Fri Sep 11, 2015 9:34 pm; edited 1 time in total
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1791
Location: Oranienburg/Germany

PostPosted: Mon Sep 07, 2015 6:51 am    Post subject: Reply with quote

Hi,

ich gehe mal davon aus, dass du das "pvr-Useflag" gesetzt hast. So wie ich das sehe, ist bei Kodi vieles in die AddOns gewandert, die via ZIP-File installiert werden. Ich hab noch nichts gesehen hinsichtlich PVR via übersetzen. Aber ich kann mich da auch irren...

MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Mon Sep 07, 2015 7:21 am    Post subject: Reply with quote

Bei Kodi gibt es in Version 15 kein pvr USE-Flag mehr. Das hat mich ja auch gewundert. Man kann es in den Einstellungen aktivieren, aber dann meckert Kodi, dass kein pvr-Plugin installiert ist.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Mon Sep 07, 2015 10:56 am    Post subject: Reply with quote

xbmc-addon-pvr aus dem VDR-Devel-Overlay enthält den VNSI-Client für VDR. xbmc-addon-xvdr ist für XVDR zuständig.

Die PVR-Geschichte in Verbindung mit VDR ist leider ein ziemliches Gefrickel. Ich hatten in der Vergangenheit das Problem, dass VNSI zwar von Kodi problemlos installierbar war, dafür aber kein Ebuild bei VDR erhältlich war. Bei XVDR war's genau andersrum. Die Installation mit VDR war problemlos, dafür gab's kein funktionierendes Ebuild für Kodi.

Ich hab heut erst von 14.2 auf 15.1 aktualisiert. Bei den PVR-Clients muss ich heut erst mal testen. Bevorzugt ist XVDR, da das auch Timeshift unterstützt.

Update:
Ok, 15.1. funktioniert klasse. PVR ist integriert. Ob das USE-Flag noch notwendig ist, weiß ich nicht. Hab nicht drauf geachtet. Hab als PVR-Client XVDR installiert. VNSI hab ich nicht getestet. Sofern ich wieder auf meinen HTPC komm (WOL will jetzt grad nicht aus unerfindlichen Gründen), poste ich mal meine verwendeten Ebuilds.

Drei Macken sind mir beim Upgrade noch aufgefallen:
  1. Sowohl Aeon MQ5 als auch Confluence waren irgendwie total zerschossen und haben keinerlei Text mehr angezeigt. Hab dann wieder mit einer leeren Config angefangen und nach und nach die Config-Dateien (lircmap, remote, sources usw.) rüberkopiert. Die Plugins schienen alle zu funktionieren. Das Aeon-MQ5-Thema hab ich neu installiert, da es für Isengard eine andere Version als für Helix gibt.
  2. Der Menüpunkt "TV" wird erst im Hauptmenü eingeblendet, wenn man den TV-Modus in den Einstellungen aktiviert und einen PVR-Client aktiviert hat. Ich musste aber den HTPC noch neustarten, bis der Menüpunkt auftauchte.
  3. Weather Underground wollte auch erst nach dem 3. oder 4. Neustart


Update 2:
Hab grad mal meine Ebuilds des XBMC-Addon-XVDR vergleichen, d.h. das im Portage und mein selbst gebasteltes. Das aus dem Portage müsste eigentlich funktionieren. Ich musste das damals ändern, um auf den Helix-Branch zugreifen zu können.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Wed Sep 09, 2015 4:58 am    Post subject: Reply with quote

Ich schliesse mich nun mal der Frage an.
Egal was ich mache ob als ZIP oder per HAND, die Abhängigkeiten sind nicht erfüllt. Oder das aktivierte ADDON (simpleiptv) deaktiviet sich. xvdr hatte ich nun mal zum test aus portage drauf. aber da geschieht genau das selbe.

wenn ich aus der addon.xml die Zeile "<import addon="xbmc.pvr" version="1.9.2"/>" entferne lässt sich auch die ZIP installieren jedoch dann ohne Funktion (wie als wuerde ich sie per Hand hinzufügen, sie deaktiviert sich wieder).

Wer hat da den Schluessel zum Erfolg ?

Amarok
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Sep 09, 2015 5:03 am    Post subject: Reply with quote

Mir geht es auch um genau dieses Plugin. Ich hätte da gerne einige TV-Sender über das Internet.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Wed Sep 09, 2015 6:19 am    Post subject: Reply with quote

Leider bekomme ich es nicht auf die Reihe. Sobald ich im MENU auf TV einschalte, schalten sich die Plugins wieder ab.

Vielleicht kann uns ja doch noch irgend jemand zur Hand gehen und uns da weiter helfen
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Sep 09, 2015 6:22 am    Post subject: Reply with quote

Naja, dass Plugin muss wohl angepasst werden. Ich hatte gehofft, dass da jemand eine Quelle kennt.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Wed Sep 09, 2015 9:09 am    Post subject: Reply with quote

Amarok wrote:
xvdr hatte ich nun mal zum test aus portage drauf. aber da geschieht genau das selbe.

Siehe meine Post darüber. Bei mir funktioniert XVDR.

Die PVR-Addons sind strikt abhängig von der Kodi-Version. Bei 15.1 kannst du einfach das 9999-Ebuild aus dem Portage verwenden. Bei 14.2 musst du noch den Branch im Ebuild auf Helix setzen. Die falsche Version von XVDR äußerte sich allerdings nicht im automatischen Deaktivieren des Plug-Ins. Bei mir fror einfach Kodi komplett ein.

Ich erinner mich dunkel, dass bei den PVR-Addons Simple-IPTV schon enthalten wäre. Muss ich heut mal nachsehen.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Wed Sep 09, 2015 9:52 am    Post subject: Reply with quote

Da muss dann irgend etwas schief gehen.

Ich habe die xbmc-addon-xvdr-9999 und kodi 15.1 drauf.

und sobald ich bei Kodi TV auf aktivieren gehe und neu einschalte ist auch wieder das xvdr plugin aus.

Das plugin selbst würde ich nicht brauchen, nur testen wollte ich es mal damit ich dann vergleich kann um den Fehler zu finden.

was hast du für USE für kodi in verwendung ?
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Wed Sep 09, 2015 12:51 pm    Post subject: Reply with quote

Ok, hab jetzt noch mal nachgesehen.

Ich verwende XBMC-Addon-PVR-9999 aus dem vdr-devel-Overlay. Das im vdr-devel zieht die Sourcen von Pipelka, das im Portage von Opdenkamp. Pipelka ist für XVDR zuständig. Das Opdenkamp-Repository dürfte veraltet sein. Soweit ich weiß, liegen auf seinem Repository die Sourcen für die VNSI-Geschichte.

USE-Flags
equery u kodi:
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for media-tv/kodi-15.1:
 U I
 + + X                        : Add support for X11
 - - airplay                  : enable AirPlay support
 + + alsa                     : Add support for media-libs/alsa-lib (Advanced Linux Sound Architecture)
 - - avahi                    : Add avahi/Zeroconf support
 - - bluetooth                : Enable Bluetooth Support
 + + bluray                   : Enable playback of Blu-ray filesystems
 + + caps                     : Use Linux capabilities library to control privilege
 - - cec                      : Enable support for HDMI-CEC devices via libcec
 + + css                      : Enable reading of encrypted DVDs
 + + dbus                     : Enable dbus support for anything that needs it (gpsd, gnomemeeting, etc)
 - - debug                    : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                                https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 - - fishbmc                  : Enable fishBMC visualization plugin
 - - gles                     : Enable support for GLES
 - - goom                     : Enable GOOM visualization plugin
 - - java                     : Add support for Java
 - - joystick                 : Add support for joysticks in all packages
 - - midi                     : Support MIDI files
 + + mysql                    : Add mySQL Database support
 + + nfs                      : Enable NFS client support
 + + opengl                   : Add support for OpenGL (3D graphics)
 - - profile                  : Add support for software performance analysis (will likely vary from ebuild to ebuild)
 - - projectm                 : Enable projectM visualization plugin
 - - pulseaudio               : Add support for PulseAudio sound server
 + + python_targets_python2_7 : Build with Python 2.7
 - - rsxs                     : Enable really slick X screensavers
 + + rtmp                     : Enable Real Time Messaging Protocol using librtmp
 - - samba                    : Add support for SAMBA (Windows File and Printer sharing)
 - - sftp                     : Support browsing files over SFTP
 + + spectrum                 : Enable spectrum visualization plugin
 - - test                     : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this internally, so don't set it in make.conf/package.use
                                anymore
 + + texturepacker            : Support packing skin textures
 + + udisks                   : Enable storage management support (automounting, volume monitoring, etc)
 + + upnp                     : Enable UPnP port mapping support
 - - upower                   : Enable power management support
 + + usb                      : Add USB support to applications that have optional USB support (e.g. cups)
 - - vaapi                    : Enable Video Acceleration API for hardware decoding
 + + vdpau                    : Enable the Video Decode and Presentation API for Unix acceleration interface
 + + waveform                 : Enable waveform visualization plugin
 + + webserver                : Enable internal webserver


Das IPTV-Plugin ist bei mir aber nicht vorhanden.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Wed Sep 09, 2015 1:26 pm    Post subject: Reply with quote

@musv

Danke shcon mal
also kodi-9999 klappte schon mal gar nicht wobei ich es nur mal testen wollte. bricht ohne error meldung ab.

also hab nun auch die vdr devel via layman genohmen und da auch die vdr-addons-pvr-9999

sieht ja soweit gut aus den nun sind shcon mal ne menge mehr addons mit dabei.
habe nun auch mal irgendeines genohmen und aktiviert. Das klappte ja auch.
Nach neustart wars wieder aktiv. Doch auch da, sobald ich TV auf aktivieren schalte, geht das pvr addon einfach auf AUS

Und nun versuch ich das alles mal als root. Mal sehen was da geschieht. LOG half mir bisher nicht weiter. Und anschliessend versuch ich die Flags umzustellen. Vielleicht habe ich auch irgendwo nen Knopf im Hirn und seh einen kleinen Fehler einfach nicht.

Danke jedenfalls mal für die Infos
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Wed Sep 09, 2015 6:38 pm    Post subject: Reply with quote

Du brauchst natürlich auch noch das entsprechende Backend.

Ist nur 'ne Vermutung. Könnte aber durchaus sein, dass der PVR-Client von Kodi deaktiviert wird, wenn das Backend nicht antwortet.

Das Gegenstück zu XBMC-Addon-XVDR ist vdr-xvdr. Bei XBMC-Addon-PVR (VNSI) wäre das vdr-vnsiserver.

Simple IPTV braucht natürlich kein Backend.

Kodi-9999 würde ich nicht verwenden. Ich hab bei Kodi/XBMC bisher die Erfahrung gemacht, dass zwar die Git-Version ganz gut funktioniert, die zusätzlich zu installierenden PVR-Addons dann aber häufiger inkompatibel sind. Deswegen hab ich auch so lange gezögert, von Kodi-14.2 auf Kodi-15.1 umzusteigen. Die Git-Version dürfte die 15.2. alpha sein.

Btw. Wirf mal einen Blick hier auf bugs.gentoo.org. Da sollte 'ne Möglichkeit stehen, wie du an der Simple-IPTV-Plugin kommst.

Update:
Ich hab bei einigen Sendern Freezer. Im Log steht dann "XVDR: Buffer overflow". Hab dann gestern mal im Quellcode die Werte noch etwas geändert. Jetzt hab ich dann dieses Problem. Könnte sein, dass es durch die Erhöhung der Puffergröße erst sichtbar geworden ist. Es stritt auch nur bei einigen Sendern (z.B. ORF III HD) auf.

Zumindest wollte ich dann mal auf VNSI wechseln. Dabei bekomm ich den von Dir beschriebenen Fehler, dass sich das VNSI-Addon zwar aktivieren lässt, nach dem Aufruf des TV-Menüpunktes aber wieder selbst deaktiviert. Eine kleine Nachforschung brachte mich dann an den Punkt, dass als API-Version im Plug-In wohl noch eine niedrigere angegeben ist. Das Plug-In dürfte vermutlich noch auf Helix basieren.

Das Repository der PVR-Addons steht noch auf Helix. Werd mal im Ebuild explizit den Master Branch auswählen. Vielleicht ist dann ja auch Simple-IPTV dabei. Im Master-Branch ist zumindest der Projektordner vorhanden.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Thu Sep 10, 2015 5:43 am    Post subject: Reply with quote

Danke die für die Mühe die du dir für uns machst.

kodi-9999 hatte ich nur mal testweise versucht aber das klappte ohnehin nicht. wollte nur mal fehler meinerseits ausschliessen.


bin selbst nicht weiter gekommen das ich mich ungelösten abhängigkeiten herumärgere. Werde Abends dann mal weiter sehen.


schoenen tag
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Sep 10, 2015 11:26 am    Post subject: Reply with quote

Gut, bin wieder einen Schritt weiter:

https://github.com/opdenkamp/xbmc-pvr-addons/blob/master/README.md
Quote:
Building addons with dependencies:

The build method described above excludes addons that depend on runtime libraries. This is because the installed versions of the dependend libraries on the build-machine and the target machine have to match exactly. Therefore this addons cannot be distributed easily.

Distribution package maintainers and users who build the addons on their target machine can enable the build of addons with dependencies:

./configure --enable-addons-with-dependencies

List of addons with dependencies:

Filmon addon: jsoncpp, crypto++, curl
IPTV Simple addon: zlib


Also hab ich mal das Ebuild etwas modifiziert:
xbmc-addon-pvr:
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-plugins/xbmc-addon-xvdr/xbmc-addon-xvdr-9999.ebuild,v 1.2 2011/09/18 11:36:52 flameeyes Exp $

EAPI="5"

inherit git-2 autotools multilib

EGIT_REPO_URI="git://github.com/opdenkamp/xbmc-pvr-addons.git"
EGIT_BRANCH="master"

DESCRIPTION="XBMC addon: add VDR (http://www.cadsoft.de/vdr) as a TV/PVR Backend - Master Branch"
HOMEPAGE="https://github.com/opdenkamp/xbmc-pvr-addons"
SRC_URI=""

KEYWORDS="~amd64 ~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE="addons-with-dependencies"

DEPEND="addons-with-dependencies? (
                        dev-libs/jsoncpp
                        dev-libs/crypto++
                        net-misc/curl
                        sys-libs/zlib )"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}

src_prepare() {
        eautoreconf
}

src_configure() {
        econf \
                $(use_enable addons-with-dependencies) \
                --prefix=/usr \
                --datadir=/usr/share/xbmc/addons
}

src_install() {
        emake DESTDIR="${D}" install || die "emake install failed"
}


Bei den Abhängigkeiten bin ich mir nicht sicher, ob die bei RDEPEND oder bei DEPEND reinmüssen. Sind lt. Readme eigentlich Runtime-Abhängigkeiten. Aber beim Compilieren hab ich irgendwo das Include zumindest auf jsoncpp gesehen.

Die Installation erfolgt dann mit:
Code:
USE="addons-with-dependencies" emerge xbmc-addon-pvr::local-overlay


Bitte mal testen. Bei mir compiliert's zumindest. Ob's funktioniert, kann ich erst später probieren. Kritiken gern willkommen.


Last edited by musv on Thu Sep 10, 2015 4:56 pm; edited 2 times in total
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Sep 10, 2015 12:40 pm    Post subject: Reply with quote

Hmpf. Ich glaub, ich steig nie hinter die Logik von Portage.

Obwohl ich versucht hab, jeden blöden Pfad auf /usr/share/xbmc/addons zu setzen, installiert das Ebuild die PVR-Addons stur nach /usr/share. Und trotz der Configure-Option --enable-addons-with-dependencies fehlt das IP-TV-Plugin.
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Thu Sep 10, 2015 2:32 pm    Post subject: Reply with quote

ja ich hab eben noch mit dem selben gekämpft- dachte ich finde hier shcon die lösung ;-)

okay ich hatte es allerdings nach KODI statt XBMC geändert-
denke aber das da der pfad von den git dateien selbst genohmen wird.
hatte es zuerst per hand verschoben aber lieder ohne erfolg.

Als Ahnungsloser hab ich nun version 1.9.4 gesehen (API) und frag mich ob das nicht 3.0.0 sein sollte.
Irgendwie bin ich https://github.com/kodi-pvr/pvr.iptvsimple hier gelandet. Aber ich habe auch keinerlei ahnung wie ich cmake anwende.

Aber mal sehen in den naechsten Tagen ob sich ne Lösung findet. War aber nur so eine Idee.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Sep 10, 2015 3:38 pm    Post subject: Reply with quote

Nee, das Problem entsteht vermutlich durch den Branch-Wechsel. Zumindest hab ich an den Pfaden ja nichts geändert.

Im Ebuild aus dem Portage wird das Zeug nach /usr/share/xbmc/addons installiert. In meinem Ebuild, obwohl ich da nichts geändert hab, landet der Mist in /usr/share. Vermutlich wäre ein Ansatz, in der Funktion src_install im Ebuild den Installationspfad zu erzwingen.

Und nach den Ebuild-Guidelines werden die Configure-Optionen direkt als USE-Flag übergeben. Das enable- wird dann automatisch vorn angehängt. Ich hab das integriert, soweit ich das hinbekommen hab. Dummerweise wird das aber auch irgendwie ignoriert.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Sep 10, 2015 6:19 pm    Post subject: Reply with quote

So, wieder einen Schritt weiter.

Hab jetzt die Pfade angepasst (siehe oben) und mal "--enable-addons-with-dependencies" hardkodiert (oben nicht eingetragen).

Damit wurden dann die restlichen Plugins beim Compilieren mit einbezogen. Dummerweise bricht das Compilieren beim FilmonAPI-Plugin ab. Sinnvoll wäre es eigentlich, wenn man die benötigten Plugins über USE-Flags auswählen könnte. Dann könnte man das ganze nicht benötigte Geraffel (Argus, MythTV, DVBViewer usw.) alles abwählen.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Fri Sep 11, 2015 1:40 pm    Post subject: Reply with quote

Ich hab gesehen, dass es unter https://github.com/kodi-pvr ein neues repository gibt.

ich hab jetzt mal zwei ebuilds gemacht für das neue repo, Kategorie media-plugins, mit denen lässt sich das iptv plugin ohne probleme installieren.

kodi-platform-9999.ebuild
Code:
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-plugins/xbmc-addon-xvdr/xbmc-addon-xvdr-9999.ebuild,v 1.2 2011/09/18 11:36:52 flameeyes Exp $

EAPI=5

inherit git-r3 cmake-utils

EGIT_REPO_URI="https://github.com/xbmc/kodi-platform"

DESCRIPTION="Kodi platform"
HOMEPAGE="https://github.com/xbmc/kodi-platform"

KEYWORDS="~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE=""

DEPEND="media-tv/kodi
    dev-libs/libplatform"
RDEPEND="${DEPEND}"


kodi-pvr-iptv-plugin-15.ebuild
Code:
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-plugins/xbmc-addon-xvdr/xbmc-addon-xvdr-9999.ebuild,v 1.2 2011/09/18 11:36:52 flameeyes Exp $

EAPI=5

inherit git-r3 cmake-utils

EGIT_REPO_URI="https://github.com/kodi-pvr/pvr.iptvsimple.git"
EGIT_BRANCH="Isengard"

DESCRIPTION="IPTV Kodi PVR plugin"
HOMEPAGE="https://github.com/kodi-pvr/pvr.iptvsimple.git"

KEYWORDS="~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE=""

DEPEND="media-plugins/kodi-platform
        =media-tv/kodi-15*
        sys-libs/zlib"
RDEPEND="${DEPEND}"


für einen "schnellschuss" funktioniert es. wenn es probleme gibt, sagt bescheid.

habt ihr denn ein gutes verzeichnis von internet tv sendern? weil man muss in dem plugin ja irgendwie eine m3u datei angeben


Last edited by Christian99 on Fri Sep 11, 2015 8:24 pm; edited 1 time in total
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Fri Sep 11, 2015 3:53 pm    Post subject: Reply with quote

Danke, werde es jetzt mal ausprobieren. Die Sache mit den m3u Dateien ist halt sehr dynamisch, da muss man immer suchen. Es kommt ja auch drauf an, was man sucht. Ich lebe ja in Südtirol, da reichen mir schon einfache Dinge.

Edit: Sorry für die dumme Frage, aber ich bin gerade etwas im Stress... Ich hab schon öfters lokale Overlays und so gebaut nach dem Wiki. Aber mit diesem Ebuild bekomme ich es zum Verrecken nicht hin. Kurzer Tip, wie ich das ebuild verwerte.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Fri Sep 11, 2015 6:24 pm    Post subject: Reply with quote

Im lokalen overlay einen ordner "media-plugins" erstellen, in dem gerade erstellten ordner ordner mit den paketnamen ("kodi-platform" und "kodi-pvr-iptv-plugin") erstellen, die ebuilds dann in den jeweiligen ordner (dateinamen stehen über dem code block).
Danach ausführen (für beide):
Code:
ebuild /pfad/zur/ebuild/datei.ebuild digest

danach
Code:
emerge kodi-pvr-iptv-plugin

Der letzte befehl sollte das plugin emergen und kodi-platform als abhängigkeit dazu.
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Fri Sep 11, 2015 7:44 pm    Post subject: Reply with quote

Das gibt bei mir folgendes:
Code:
emerge -av kodi-pvr-iptv-plugin

These are the packages that would be merged, in order:

Calculating dependencies                            ... done!         
[ebuild  N     ] media-plugins/kodi-platform-9999::kodi-pvr-iptv-plugin  0 KiB
[ebuild  N     ] media-plugins/kodi-pvr-iptv-plugin-15::kodi-pvr-iptv-plugin  0 KiB

Total: 2 packages (2 new), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests

>>> Emerging (1 of 2) media-plugins/kodi-platform-9999::kodi-pvr-iptv-plugin
>>> Unpacking source...
 * Fetching https://github.com/xbmc/kodi-platform ...
git fetch https://github.com/xbmc/kodi-platform +HEAD:refs/git-r3/HEAD
git symbolic-ref refs/git-r3/media-plugins/kodi-platform/0/__main__ refs/heads/master
 * Checking out https://github.com/xbmc/kodi-platform to /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999 ...
git checkout --quiet master
GIT update -->
   repository:               https://github.com/xbmc/kodi-platform
   at the commit:            15edaf78d6307eaa5e1d17028122d8bce9d55aa2
>>> Source unpacked in /tmp/portage/media-plugins/kodi-platform-9999/work
>>> Preparing source in /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999 ...
>>> Working in BUILD_DIR: "/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build"
cmake --no-warn-unused-cli -C /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/gentoo_toolchain.cmake  /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999
Not searching for unused variables given on the command line.
loading initial cache file /tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.9.3
-- The CXX compiler identification is GNU 4.9.3
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Checking to see if CXX compiler accepts flag -flto
-- Checking to see if CXX compiler accepts flag -flto - yes
-- Found TinyXML: /usr/include 
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
CMake Error at CMakeLists.txt:11 (find_package):
  By not providing "Findplatform.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "platform",
  but CMake did not find one.

  Could not find a package configuration file provided by "platform" with any
  of the following names:

    platformConfig.cmake
    platform-config.cmake

  Add the installation prefix of "platform" to CMAKE_PREFIX_PATH or set
  "platform_DIR" to a directory containing one of the above files.  If
  "platform" provides a separate development package or SDK, be sure it has
  been installed.


-- Configuring incomplete, errors occurred!
See also "/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/CMakeFiles/CMakeOutput.log".
See also "/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build/CMakeFiles/CMakeError.log".
 * ERROR: media-plugins/kodi-platform-9999::kodi-pvr-iptv-plugin failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 3176:  Called cmake-utils_src_configure
 *   environment, line  876:  Called _execute_optionally 'src_configure'
 *   environment, line  242:  Called enable_cmake-utils_src_configure
 *   environment, line 1196:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=media-plugins/kodi-platform-9999::kodi-pvr-iptv-plugin'`,
 * the complete build log and the output of `emerge -pqv '=media-plugins/kodi-platform-9999::kodi-pvr-iptv-plugin'`.
 * The complete build log is located at '/var/log/portage/media-plugins:kodi-platform-9999:20150911-194222.log'.
 * The ebuild environment file is located at '/tmp/portage/media-plugins/kodi-platform-9999/temp/environment'.
 * Working directory: '/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999_build'
 * S: '/tmp/portage/media-plugins/kodi-platform-9999/work/kodi-platform-9999'

>>> Failed to emerge media-plugins/kodi-platform-9999, Log file:

>>>  '/var/log/portage/media-plugins:kodi-platform-9999:20150911-194222.log'
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Fri Sep 11, 2015 8:22 pm    Post subject: Reply with quote

Dann füg bitte "dev-libs/libplatform" zu den DEPENDS des kodi-platforms ebuild hinzu. Danach nochmald ebuild ... digest.
Sorry, dieses kodi-platform hat leider nichts dabei stehen, von was es abhängt. Bei mir hats funktioniert, weil ich libplatform sowieso installiert hatte. Vielleicht findest du also noch mehr abhängigkeiten.

Edit: hab das ebuild oben auch angepasst.


Last edited by Christian99 on Fri Sep 11, 2015 8:56 pm; edited 1 time in total
Back to top
View user's profile Send private message
Amarok
n00b
n00b


Joined: 11 Nov 2003
Posts: 70

PostPosted: Fri Sep 11, 2015 8:52 pm    Post subject: Reply with quote

also auch damit klappt es bei mir soweit dass ich zwar simpleip als addon dabei habe aber sobald ich TV aktiviere, geht das addon wieder auf aus. Hab nun nochmals alles entfernt und starte eben nochmals emerge der 2 (pakets).

Bin ja mal gespannt obs bei einen von euch aktiv bleibt, dann muss ich den Fehler woanders suchen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum